| NORSYS SOFTWARE © 2009 | NETICA API | JAVA VERSION 4.18

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## norsys.netica.gui
Class NodePanel_Circle

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--norsys.netica.gui.NodePanel
                                    |
                                    +--norsys.netica.gui.NodePanel_Circle

All Implemented Interfaces:
  javax.accessibility.Accessible, DataDisplayer, java.awt.image.ImageObserver, java.awt.MenuContainer, NeticaListener, RecursingEventListener, java.io.Serializable

public class NodePanel_Circle
extends NodePanel

A javax.swing.JPanel for displaying a Node as a simple geometric shape. Nature nodes are drawn as circles (or ovals, if desired), whereas Utility nodes (see `Node.getKind`) are drawn as hexagons.

Since:
  3.0
Version:
  4.18 - October 1, 2010
See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`static java.awt.Color` | `defaultBackgroundColor` The background color of this panel upon construction.
`static java.awt.Color` | `defaultBorderColor` The color of the border displayed by this panel upon construction.
`static int` | `defaultHeight` Height in pixels of each circle/oval or hexagon.
`static int` | `defaultWidth` Width in pixels of each circle/oval or hexagon.

Fields inherited from class norsys.netica.gui.NodePanel
`defaultBackgroundColor_ConstantNode, defaultBackgroundColor_DecisionNode, defaultBackgroundColor_NatureNode, defaultBackgroundColor_UtilityNode, defaultForegroundColor, defaultTitleBorder, defaultTitleFont, DISPLAY_MODE_GRAYED, DISPLAY_MODE_HILITED, DISPLAY_MODE_NORMAL, grayedModeBGColor, hilitedModeBGColor, NODE_STYLE_ABSENT, NODE_STYLE_AUTO_SELECT, NODE_STYLE_BELIEF_BARS, NODE_STYLE_CIRCLE, NODE_STYLE_LABELED_BOX, NODE_STYLE_TEXT, nodeTitleJLabel, probabilitiesFormat, PROBABILITY_FORMAT_1, PROBABILITY_FORMAT_2, PROBABILITY_FORMAT_3, PROBABILITY_FORMAT_4`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`NodePanel_Circle(Node node)` NodePanel_Circle.NodePanel_Circle().header

Method Summary
`void` | `paintComponent(java.awt.Graphics g)` Overrides javax.swing.JComponent.paintComponent().
`protected void` | `setupPanel()` Create subcomponents of this NodePanel and add them to this Container.

Methods inherited from class norsys.netica.gui.NodePanel
`addListenerToAllComponents, createNodePanel, eventOccurred, getDisplayMode, getNode, getStyle, moveBy, refreshDataDisplayed, removeListenerFromAllComponents, setDisplayMode`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUIClassID, paramString, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVerifyInputWhenFocusTarget, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, hide, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processFocusEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

public static java.awt.Color defaultBackgroundColor

  The background color of this panel upon construction.

public static java.awt.Color defaultBorderColor

  The color of the border displayed by this panel upon construction.

public static int defaultWidth

  Width in pixels of each circle/oval or hexagon. The default is 30.

public static int defaultHeight

  Height in pixels of each circle/oval or hexagon. The default is 30.

Constructor Detail

public NodePanel_Circle ( |
Node | node
| ) throws Exception

  NodePanel_Circle.NodePanel_Circle().header

Method Detail

protected void setupPanel ( ) throws Exception

  Description copied from class: `NodePanel`
  Create subcomponents of this NodePanel and add them to this Container.

  When you subclass NodePanel, you typically will want to override this method with your own method that builds the subcomponents of your particular NodePanel. Should you do this, we recommend that you call super.setupPanel() so that default NodePanel behavior (e.g., hi-liting logic) is retained.
  Version:

  Versions 3.0 and later have this method.
  Overrides:
    `setupPanel` in class `NodePanel`

public void paintComponent ( |
java.awt.Graphics | g
| )

  Description copied from class: `NodePanel`
  Overrides javax.swing.JComponent.paintComponent().

  NOTICE:If you override this method, you probably want to call super.paintComponent() in your method to ensure that the node correctly manages display modes.
  Parameters:

  java.awt.Graphics |  | g |  | The AWT/SWING Graphics context.

  Version:
  Versions 3.0 and later have this method.
  Overrides:
    `paintComponent` in class `NodePanel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD